`timescale 1ns / 1ps

module tb;

	// Inputs
	reg D;
	reg CK;

	// Outputs
	wire Q;
	wire nQ;

	// Instantiate the Unit Under Test (UUT)
	d_ff_nands uut (
		.D(D), 
		.CK(CK), 
		.Q(Q), 
		.nQ(nQ)
	);

	initial 
	begin
		// Initialize Inputs
		D = 0;
		CK = 0;
		#200;
		$stop;
	end
	always
	begin
		#10;
		CK = !CK;
	end
	always
	begin
		#45;
		D = !D;
	end
      
endmodule

